import 'package:flutter_common/Annotations/anno/ServerEntity.dart';

class ProjectDetailsItem {
  String name;
  List<Groups> groups;

  ProjectDetailsItem({this.name, this.groups});

  ProjectDetailsItem.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    if (json['groups'] != null) {
      groups = new List<Groups>();
      json['groups'].forEach((v) {
        groups.add(new Groups.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    if (this.groups != null) {
      data['groups'] = this.groups.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Groups {
  String name;
  List<Attrs> attrs;

  Groups(String s, List<Attrs> list, {this.name, this.attrs});

  Groups.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    if (json['attrs'] != null) {
      attrs = new List<Attrs>();
      json['attrs'].forEach((v) {
        attrs.add(new Attrs.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    if (this.attrs != null) {
      data['attrs'] = this.attrs.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Attrs {
  int id;
  String name;
  String value;

  Attrs({this.id, this.name, this.value});

  Attrs.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    value = json['value'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['value'] = this.value;
    return data;
  }
}

